FSFREEZE(8)

NOM
fsfreeze - Suspendre l'accès à un système de fichiers (ext3/4, ReiserFS, JFS, XFS)

SYNOPSIS

fsfreeze --freeze|--unfreeze point_de_montage

DESCRIPTION

fsfreeze suspend ou reprend l'accès à un système de fichiers.

fsfreeze arrête les nouveaux accès au système de fichiers et crée une image stable sur le disque. fsfreeze est conçu pour être utilisé avec des périphériques RAID matériels qui permettent la création d'instantanés.

fsfreeze n'est pas nécessaire aux périphériques device-mapper. Le device-mapper (et LVM) gèle automatiquement un système de fichiers du périphérique quand la création d'un instantané est demandée. Pour plus de précisions, consultez la page de manuel dmsetup(8).

Le paramètre point_de_montage est le chemin du répertoire où le système de fichiers est monté. Le système de fichiers doit être monté pour être gelé (consultez mount(8)).

Remarquez que les mises à jour des dates d’accès sont aussi suspendues si le système de fichiers est monté avec le comportement atime traditionnel (option de montage strictatime, consultez mount(8) pour plus de précisions).

OPTIONS

-f, --freeze
    Cette option nécessite que le système de fichiers indiqué soit gelé de nouvelles modifications. Quand elle est sélectionnée, toutes les transactions en cours dans le système de fichiers ont le droit de se terminer, les nouveaux appels write(2) sont arrêtés, les autres appels qui modifient le système de fichiers sont arrêtés et toutes les données sales, métadonnées et informations de journalisation sont écrites sur le disque. Tous les processus essayant d'écrire sur le système de fichiers gelé seront bloqués en attendant que le système de fichiers soit dégelé.

    Remarquez que même après le gel, le système de fichiers sur le disque peut contenir des renseignements sur des fichiers qui sont encore en cours de destruction (unlink). Ces fichiers ne seront pas détruits avant que le système de fichiers ne soit dégelé ou qu'un montage propre de l'instantané ne soit terminé.

-u, --unfreeze
    Cette option sert à dégeler le système de fichiers et permettre aux opérations de se poursuivre. Toutes les modifications de système de fichiers qui étaient bloquées par le gel sont débloquées et ont le droit de se terminer.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version puis quitter.

PRISE EN CHARGE DE SYSTÈME DE FICHIERS

Cette commande ne fonctionnera que si une prise en charge du gel est prévue pour le système de fichiers. La liste de ces systèmes de fichiers comprend (2016-12-18) btrfs, ext2/3/4, f2fs, jfs, nilfs2, reiserfs et xfs. Cette liste peut être incomplète car de plus en plus de systèmes de fichiers assurent une prise en charge. En cas de doute, la façon la plus facile de le savoir est de créer un petit montage en loopback et tenter de le geler.

NOTES

Cette page de manuel est basée sur xfs_freeze(8).

AUTEURS

Écrit par Hajime Taira.

VOIR AUSSI

mount(8)

SIGNALER DES BOGUES

Pour envoyer un rapport de bogue, utilisez le système de gestion des problèmes à l'adresse

DISPONIBILITÉ

La commande fsfreeze fait partie du paquet util-linux, qui peut être téléchargé de

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr> et David Prévot <david@tilapin.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.